local zip = require( "plugin.zip" )

local function zipListener( event )
  if ( event.isError ) then
    print( "Error!" )
  else
    -- Check if zipped log file exists
    print("Checking if logfile (log.zip) exists. List content of DocumentsDirectory:")

    -- List contents of system.DocumentsDirectory
    print("Looking for `log.zip´")
    local lfs = require "lfs"
    local doc_path = system.pathForFile( "", system.DocumentsDirectory )
    for file in lfs.dir(doc_path) do
      print( "Found file: `" .. file .. "´")
      if (file == "log.zip") then print("MATCH!") end
    end
    
    -- Mail result to ATD
    local options =
    {
        to = "allthumbsdev@gmail.com",
        subject = "Karate Squid Log",
        body = "Comment",
        attachment = { baseDir=system.DocumentsDirectory, filename=LOG_ZIP_FILE, type="application/zip" }
    }

    print( "Calling native.showPopup()")
    native.showPopup( "mail", options )
  end
end


logText = "This is the uncompressed log text."

-- Path for the file to write
print("Saving log (" .. string.len(logText) .. " bytes)")
local path = system.pathForFile( "log.txt", system.DocumentsDirectory )
local file, errorString = io.open( path, "w" )  -- Open the file handle

if not file then
  print( "File error: " .. errorString )
else
  file:write( logText )
  io.close( file )
end

-- Zip log file
local zipOptions = {
  zipFile    = "log.zip",
  zipBaseDir = system.DocumentsDirectory,
  srcBaseDir = system.DocumentsDirectory,
  srcFiles = { "log.txt" },
  listener = zipListener
--  password = "02091968",
}
zip.compress( zipOptions )


